﻿@{
    Layout = "_LayoutBase.cshtml";
}

@section CustomHeaders{
    @RenderSection("CustomHeaders", required: false)
}

<style>
    .mm-menu_offcanvas:not(.mm-menu_opened) {
        display: none !important;
    }
</style>

<nav id="slideoutMenu" class="slideout js-menu-slideout">
    @*@{Html.RenderAction("RenderSlideOutMenu", "Home", null);}*@
</nav>

<div id="site" data-slideout-ignore>
    <input type="checkbox" id="header-menu-switch" />

    <!--POPUP-->
    @*<div class="popup-banner">
            <a href="/shop" class="js-popup-link" data-link="/shop">
                <img src="~/Content/images/Pop-up-Mudar-local.jpg" class="popup-banner__banner" alt="Popup" />
            </a>
            <span class="popup-banner__close js-close-popup-banner">&times;</span>
        </div>*@

    <div class="top-banner">
        <div style="width:100%;">
            <div class="no-margin banner-container marquee">
                <span class="top-banner__item promotion-banner js-top-banner" style="white-space:nowrap;">

                </span>
            </div>
        </div>
    </div>

    @*<nav id="menu" style="z-index:9">
        <ul>
            @{ Html.RenderAction("MenuShop", "Modules"); }
            <li>
                <a id="comocomprar" href="/institucional/comocomprar" class="menu__item">Cómo Comprar</a>
            </li>
            <li>
                <a id="comocomprar" href="/institucional/SobreNosotros" class="menu__item">Sobre nosotros</a>
            </li>
            <li>
                <a id="contacto" href="/contacto" class="menu__item" style="font-weight:bold;">Contacto</a>
            </li>
        </ul>
    </nav>*@

<header class="header-fixed">
    <div id="page" style="display:none!important">
        <nav id="menu">
            <div id="panel-menu">
                @Html.Partial("LayoutMenuMobile")
            </div>

            <div id="panel-account">
                <ul>
                    <li><a href="#/">My profile</a></li>
                    <li><a href="#/">Privacy settings</a></li>
                    <li><a href="#/">Activity</a></li>
                    <li><a href="#/">Sign out</a></li>
                </ul>
            </div>

            <div id="panel-cart">
                <p style="text-align: center; padding-top: 30px;">
                    Your shoppingcart is empty.<br />
                    <a href="#/">Continue shopping.</a>
                </p>
            </div>
        </nav>
    </div>
    <nav class="top-bar animate-dropdown">
        <div class="header-container first-header">
            <div class="navbar-header visible-xs">
                @*<button type="button" class="navbar-toggle toggle-slideout">
                        <span class="sr-only"></span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                    </button>*@


                <m-burger id="inferia" fx="squeeze" menu="menu"></m-burger>


            </div>
            <div class="menu-logo">
                <div class="logo">
                    <a href="/">
                        @{ Html.RenderAction("LY_Logo", "Modules"); }
                    </a>
                </div>
            </div>


        </div>

        <div>
            <div class="header__search">
                <form id="form-search">
                    <input type="search" name="search" class="header__search-input" value="" placeholder="¿Qué estas buscando?" />
                    <img src="~/Content/images/icono-header-buscador.png" alt="Buscar" class="header__search-icon js-search-icon" />
                </form>
            </div>
        </div>



        <div class="header-container flex-end action-container">
            <div style="display: none;" class="no-margin hidden-xs header-option">
            </div>


            <div class="actions header-option js-actions">


                @*<div class="header__search column-item hidden-xs">
                        <form id="form-search">
                            <input type="search" name="search" class="header__search-input js-search js-suggested-search" value="" placeholder="Buscar" autocomplete="off" />

                            <span class="header__search-close js-search-close">x</span>
                        </form>
                    </div>*@

                @*<img src="~/Content/Icons/search.png" alt="Buscar" class="header__search-icon hidden-xs" />*@
                @*<img src="~/Content/icons/Icono-buscar.png"  class="search-top-bar visible-xs" id="search_icon" aria-hidden="true">*@
                @*<span class="search-text">Buscar</span>*@


                @*User*@
                <div id="dropdown" class="header__icon-action header__dropdown">
                    @if (User.Identity.IsAuthenticated)
                    {
                        <span><img src="~/Content/images/icono-header-perfil.png" alt="" class="icon-action" /></span>
                    }
                    else
                    {
                        <span><img src="~/Content/images/icono-header-perfil.png" alt="" class="icon-action" /></span>
                    }
                    <div class="dropdown__menu">
                        <div class="triangle">
                        </div>
                        @if (User.Identity.IsAuthenticated)
                        {
                            @*<a href="/Account/MyAccount" class="dropdown__button button js-username"></a>*@
                            <span class="dropdown__logged-text"><img src="/Content/images/icono-header-perfil.png" class="" alt="Alternate Text" /> @User.Identity.Name</span>
                            <a href="/Account/MyAccount" class="dropdown__link">Mi Cuenta</a>
                            <a href="/Account/ShoppingHistory" class="dropdown__link">Mis Compras</a>
                            <a href="/Account/LogOut" class="dropdown__logout">Salir</a>
                        }
                        else
                        {
                            <a class="dropdown__button button" href="/Account/Login">Ingresar</a>
                            <a href="/Account/Register" class="dropdown__register-text">¿No tenés cuenta? <strong>Regístrate</strong></a>
                        }
                    </div>
                </div>

                @*<a href="/wishlist" class="header__icon-action">
                        <img src="~/Content/images/icono-favorito.png" class="icon--clickable" alt="Alternate Text"/>
                        <span class="wishlist-count hidden"></span>
                    </a>*@

                <div class="cart-hover">
                    @*<div class="header__icon-action header__icon-action--cart js-cart">*@
                    <a href="/shopping-cart" class="header__icon-action header__icon-action--cart">
                        <span class="icon--clickable"><img src="/Content/images/icono-header-carrito.png" alt="Cart" class="icon-action"></span>
                        <span class="item-count hidden">0</span>
                    </a>
                    <div class="modal-cart js-modal-cart">
                        <div class="triangle">
                        </div>
                        <div class="modal-cart-body flex-start">
                            <div class="quantity js-modal-quantity">
                                Tu compra <strong>(0)</strong>
                            </div>
                            <div class="modal-cart-products js-modal-products">

                            </div>
                            <div class="summary">
                                <div class="summary__item">
                                    <span class="total">Total:</span>
                                    <span class="total js-total-modal">$0.00</span>
                                </div>
                                @*<div class="summary__item">
                                    <span>Envío</span>
                                    <span>...</span>
                                    </div>*@
                                <div class="summary__item">
                                    <a class="button" href="/shoppingcart">
                                        Comprar
                                    </a>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>



            </div>
        </div>
    </nav>

    @{ Html.RenderAction("LY_contactBar", "Modules"); }

    <div class="mobile-search hide" style="opacity: 1;">
        <div class="search-mobile">
            <i class="fa fa-search" aria-hidden="true" style="color:Black;float:left;margin-right:10px;display:flex;align-items:center;"></i>
            <form role="search" action="javascript:void(0)">
                <div class="">
                    <input class="busqueda js-search" name="buscar" placeholder="Buscar..." autocomplete="off">
                    <button onclick="searchProduct($('.busqueda').val());" type="submit" style="display:none;"></button>
                </div>
            </form>
            <i id="close-search" class="fa fa-times" aria-hidden="true" style="color:Black;float:right;margin-left:10px;cursor:pointer;display:flex;align-items:center;"></i>
        </div>
    </div>
    @Html.Partial("Header/Menu")
</header>

    <main class="content">
        @RenderBody()
    </main>

    <footer>
        @Html.Partial("Footer")
    </footer>

    @{Html.RenderAction("LY_Whatsapp", "Modules"); }

    <div id="slideout" class="cart-slideout js-cart-slideout slideout-menu-white">
        @{Html.RenderAction("SlideoutShoppingCart", "ShoppingCart");}
    </div>

    @section Scripts{
        <script src="~/Scripts/Facebook.js" type="text/javascript"></script>
        <script src="~/Scripts/Account/Register-Login.js"></script>
        @* Slideout *@
        <script>

            var searchField = $('.search');
            var searchInput = $("input[type='search']");

            var checkSearch = function () {
                var contents = searchInput.val();
                if (contents.length !== 0) {
                    searchField.addClass('full');
                } else {
                    searchField.removeClass('full');
                }
            };

            $("input[type='search']").focus(function () {
                searchField.addClass('isActive');
            }).blur(function () {
                searchField.removeClass('isActive');
                checkSearch();
            });

            var slideout = new Slideout({
                'panel': document.getElementById('site'),
                'menu': document.getElementById('slideout'),
                'padding': 256,
                'tolerance': 70,
                'touch': false,
                'side': 'right'
            });

            $('.js-cart').click(function () {
                slideout.toggle();
                $('.js-cart-slideout').removeClass('hide');
                $('.js-menu-slideout').addClass('hide');
            });

            var slideoutMenu = new Slideout({
                'panel': document.getElementById('site'),
                'menu': document.getElementById('slideoutMenu'),
                'padding': 256,
                'tolerance': 70,
                'side': 'left'
            });

            $('.toggle-slideout').click(function () {
                slideoutMenu.toggle();
                $('.js-cart-slideout').addClass('hide');
                $('.js-menu-slideout').removeClass('hide');
            });


        </script>

        <script>

            var rootPath;

            $(document).ready(function () {

                SetRootPath();

                //HandlePopup();

                GetActiveMenuItem();

                GetUsername();

                checkPromotionsBanners();

                updateCartTotals();

                checkWhatsapp();

                //updateCartSlideout();

                updateWishlistTotals();

                HandleFixedMenu();

                //LoadMobileSaleLink();

                StartPhoneCarousel();

                GetCartModal();

                SayHello();

                SetSiteMinOrder();

                ProvinceList()
            });

            function SayHello() {
                $.ajax({
                    type: "GET",
                    cache: false,
                    url: "/Account/GetUser",
                    data: $(this).serializeArray(),
                    success: function (data) {
                        if (data.Value != '') {
                            $(".greeting").text(data.Value);
                        }
                    }
                });
            }

            function checkWhatsapp() {
                $('.green-whatsapp').css('display', 'flex');
            }

            function SetSiteMinOrder() {
                $.ajax({
                    type: "GET",
                    cache: false,
                    url: "/ShoppingCart/GetSiteMinOrder",
                    success: function (data) {

                        if (window.location.href.toLocaleLowerCase().indexOf("minoristas") > -1) {
                            $('.isWholesaler').remove();
                        }
                        else if (data.price != null || data.price != "") {
                            $('.js-min-price').text(data.price).formatCurrency();
                        }
                    }
                });
            }

            function SetRootPath() {
                var pathArray = window.location.pathname.split('/');
                rootPath = "/" + pathArray[1].toLocaleLowerCase();
            }

            function GetCartModal() {
                $.ajax
                ({
                    type: "GET",
                    cache: false,
                    url: "/ShoppingCart/GetShoppingCartForModal",
                    success: function (cart) {

                        $('.js-modal-cart').addClass('hidden');
                        if (!cart.IsEmpty) {
                            putCartModalQuantity(cart.TotalQuantity);
                            putCartModalTotal(cart.Total);
                            putCartModalProducts(cart.OrderDetails);
                            enableCartModal();
                        }
                        else {
                            putEmptyCartModal();
                            enableCartModal();
                        }
                    }
                });
            }

            function showCartModal() {
                $('.js-modal-cart').addClass('show');
            }

            function hideCartModal() {
                $('.js-modal-cart').removeClass('show');
            }

            function enableCartModal() {
                $('.js-modal-cart').removeClass('hidden');
            }

            function putCartModalQuantity(quantity) {
                $('.js-modal-quantity').html('Tu compra ' + '<strong>' + '(' + quantity + ')' + '</strong>');
            }

            function putCartModalTotal(total) {
                $('.js-total-modal').text(total).formatCurrency();
            }

            function putEmptyCartModal() {

                $('.js-modal-products').html('<div class="modal-cart-products__empty"><img src="/content/icons/bag.png" />¡Tu carrito esta vacío!</div>');

            }

            function putCartModalProducts(orderDetails) {
                productsHtml = "";

                $.each(orderDetails, function (index, orderDetail) {
                    productsHtml += getCartModalProduct(orderDetail);
                });

                $('.js-modal-products').html(productsHtml);

                $('.js-price').formatCurrency();
            }

            function getCartModalProduct(orderDetail) {
                return (
                            '<div class="modal-cart-products__product"> ' +
                                '<div class="image">' +
                                    '<img src="' + orderDetail.Image + '" />' +
                                '</div>' +
                                '<div class="detail">' +
                                    '<div class="detail__title">' +
                                        '<span>' +
                                            orderDetail.Name +
                                        '</span>' +
                                        '<span class="js-price">' +
                                            orderDetail.Price +
                                        '</span>' +
                                    '</div>' +
                                    '<div class="detail__color">' +
                                            orderDetail.Color +
                                    '</div>' +
                                    '<div class="detail__color">' +
                                            orderDetail.Size + ' Cantidad: ' + orderDetail.Quantity +
                                    '</div>' +
                                    '<div class="detail__delete">' +
                                            '<span class="trash-button" onclick="deleteModalOrderDetail(' + orderDetail.OrderDetailId + ');">' +
                                                '<img src="/content/icons/trash.png" />' +
                                           '</span>' +
                                    '</div>' +
                                    //'<div class="detail__color">' +
                                    //        'Cantidad: ' + orderDetail.Quantity +
                                    //'</div>' +
                                '</div>' +
                            '</div>'
                        );
            }

            function deleteModalOrderDetail(Id) {
                $.ajax({
                    type: "POST",
                    cache: false,
                    url: "/ShoppingCart/Quitar",
                    data: { orderDetailId: Id },
                    success: function (data) {
                        if (data.success) {
                            GetCartModal();
                            updateCartTotals();
                        }
                    }
                });
            }

            //$('.js-search-button').click(function () {
            //    if ($(window).width() > 1024) {
            //        $('.js-search').removeClass('hide');
            //        $('.js-search-close').addClass('open');
            //        $('.js-actions').animate({ width: '0px' }, 500, function () {
            //            $('.js-actions').hide();
            //            $('.js-search').addClass('open');
            //            $('.js-search-button').addClass('active');

            //        });

            //    }
            //});

            function ShowLoader($suggestionElem) {
                $suggestionElem.removeClass('flex-start');
                var html = getLoaderHtml();
                html += '<span style="margin-top:10px">Ingrese al menos 3 caracteres</span>';
                $suggestionElem.html(html);
                $suggestionElem.find('.loader').removeClass('hide');
                $suggestionElem.closest('.suggested-search').removeClass('hide');
            }

            function HandlePopup() {

                var show = false;
                var lastOpen = localStorage.getItem('PopupLastOpen');//
                if (lastOpen == null)
                    show = true;
                else {
                    var now = new Date();
                    var cooldownDays = 4;
                    var dateToShow = new Date(lastOpen);
                    dateToShow.setDate(dateToShow.getDate() + cooldownDays);
                    localStorage.setItem('PopupLastOpen', now);
                    show = now > dateToShow;
                }
                if (show) {
                    $('.popup-banner').css('display', 'block');
                }
                $('body').toggleClass('m--popup-banner', show);
            }

            function getCurrentStore(location) {

                var locationString = location.toString();
                if (locationString.indexOf('/') != -1) {
                    var firstItem = locationString.split('/')[1];
                    location = firstItem;
                    return getCurrentStore(location);
                }
                else {
                    return location;
                }
            }

            function StartPhoneCarousel() {
                if ($(window).width() <= 767) {
                    $('.contact-numbers').slick({
                        slidesToShow: 1,
                        slidesToScroll: 1,
                        autoplay: true,
                        autoplaySpeed: 2000,
                    });
                }
            }

            if ($(window).width() <= 767) {
                $(".related-products__products").slick({
                    slidesToShow: 2,
                    autoplay: true,
                    autoplaySpeed: 200000,
                })
            }

            $('.js-close-popup-banner').click(function () {
                $('.popup-banner').css('display', 'none');
                $('body').removeClass('m--popup-banner');
                var date = new Date().toJSON();
                localStorage.setItem('PopupLastOpen', date);
            });

            $("#search_icon").click(function () {
                $(".mobile-search").removeClass('hide');
                $(".mobile-search").slideDown('fast').animate({ opacity: 1 }, { queue: false, duration: 'slow' });
            });

            $("#close-search").click(function () {
                $(".mobile-search").slideUp('fast').animate({ opacity: 1 }, { queue: false, duration: 'slow' });
                $(".mobile-search").addClass('hide');
            });

            $('.js-toggle-icon').click(function () {
                $item = $(this).closest('.item');
                $item.find('ul').slideToggle();
                $item.toggleClass('open');
            });


            $('.js-search').keyup(function (e) {
                if (e.keyCode == 13) {
                    var term = $(this).val();
                    location.href = "/Shop/Buscar?term=" + term;
                }
            });

            function GetPopupSrc() {
                $.ajax({
                    type: "GET",
                    url: "/Account/GetPopupSrc",
                    success: function (data) {
                        if (data.Src != "" && data.Src != "") {
                            $('.js-popupsrc').attr('src', data.Src);
                            $('.js-popuplink').attr('href', data.Link);
                            $('body').addClass('m--popup-banner');
                        }
                        else {
                            $('body').removeClass('m--popup-banner');
                        }
                    }
                });
            }

            $("#type-store-select").change(function () {
                var storeValue = $("#type-store-select").val();

                if (storeValue == 1) {
                    window.location.href = "/mayoristas";
                } else {
                    window.location.href = "/minoristas";
                }
            });

            function LoadMobileSaleLink() {
                var url = $('#sale').attr('href');
                $('.js-sale-mobile').attr('href', url);
            }

            function HandleFixedMenu() {
                $(document).on('scroll', function () {
                    if (window.innerWidth > 1024) {
                        var scroll = $(this).scrollTop();

                        var threshold = !($('.top-banner').hasClass('hidden')) ? $('.top-banner').outerHeight() + $('.top-bar').outerHeight() - 10 : 0

                        var fix = scroll > threshold;
                        $('.logo-left').toggleClass('hide', !fix);
                    }
                });
            }

            function GetUsername() {
                $.ajax({
                    type: "GET",
                    cache: false,
                    url: "/Account/GetUsername",
                    data: null,
                    success: function (data) {
                        $('.js-username').text(data.Name);
                    }
                });
            }

            function closeTopBanner() {
                $(".top-banner").slideToggle(500, function () {
                    $(this).remove();
                    $.ajax({
                        type: "GET",
                        cache: false,
                        url: "/Account/UpdatePromotionBanner",
                        data: null
                    });
                });
                $('body').removeClass('m--top-banner');
            }

            function checkPromotionsBanners() {

                    var typeStore = "";
                    if (window.location.href.indexOf("minoristas") > -1)
                    {
                        typeStore = "minoristas";
                    }else
                    {
                        typeStore = "mayoristas";
                    }

                $.ajax({
                    type: "GET",
                    cache: false,
                    url: "/Account/CheckPromotionsBanners",
                    data: null,
                    success: function (data) {
                        if (data.ShowBanner) {
                            $('.top-banner').removeClass('hidden');
                            $('.top-banner').css('background-color', data.Color);
                            $('.js-top-banner').html(data.BannerValue);
                            $('body').addClass('m--top-banner');
                        } else {
                            $(".top-banner").css("display","none")
                        }

                    }
                });
            }

            function GetActiveMenuItem() {
                var href = location.href;
                var activeItem = href.match(/([^\/]*)\/*$/)[1];
                if (activeItem.indexOf('?') != -1)
                    activeItem = activeItem.split('?')[0];

                var elem = $('#' + activeItem);
                if (elem[0] != undefined) {
                    $('#' + activeItem).addClass('menu__item--active');
                }
                else if (href.indexOf('shop') != -1) {
                    $('#shop').addClass('menu__item--active');
                }
            }

            $('.header__search-icon').click(function () {
                $('.header__search-input').focus();
            });

            $('#form-search').submit(function (event) {
                event.preventDefault();
                var term = $('.header__search-input').val();

                if (term != "") {
                    location.href = "/Shop/Buscar?term=" + term;
                }
            });



            function searchProduct(term) {
                if (term != "") {
                    location.href = "/Shop/Buscar?term=" + term;
                }
            }

            $('#dropdown').on('show.bs.dropdown', function () {
                $(this).find('.dropdown-menu').first().stop(true, true).slideDown(400);
            });

            // Add slideUp animation to Bootstrap dropdown when collapsing.
            $('#dropdown').on('hide.bs.dropdown', function () {
                $(this).find('.dropdown-menu').first().stop(true, true).slideUp(400);
            });

            function updateCart(quantity) {
                $(".item-count").text(quantity);
                $('.item-count').toggleClass('hidden', quantity <= 0);
            }

            function updateCartSlideout() {
                $slideout = $('.js-cart-slideout');

                $slideout.find('.cart-slideout__content').addClass('hidden');
                $slideout.find('.loader').removeClass('hidden');

                $.ajax({
                    type: "GET",
                    cache: false,
                    url: "/ShoppingCart/SlideoutShoppingCart",
                    data: null,
                    success: function (view) {
                        $('.js-cart-slideout').html(view);
                        CartSlideoutEvents();
                    }
                });
            }

            function CartSlideoutEvents() {
                $('.js-cart-close').unbind().click(function () {
                    slideout.toggle();
                });
            }

            function updateWishlistCount(quantity) {
                $(".wishlist-count").text(quantity);
                $('.wishlist-count').toggleClass('hidden', quantity <= 0);
            }

            function updateCartTotals() {
                $.ajax({
                    type: "GET",
                    cache: false,
                    url: "/Account/ItemsQuantity",
                    data: null,
                    success: function (data) {
                        updateCart(data.TotalItemsCount);
                    }
                });
            }

            function updateWishlistTotals() {
                $.ajax({
                    type: "GET",
                    cache: false,
                    url: "/Account/WishlistItemsQuantity",
                    data: null,
                    success: function (data) {
                        updateWishlistCount(data.Count);
                    }
                });
            }

            $('.js-search-icon').click(function () {
                $('#form-search').toggleClass('form-search--opened');
            });

            $('.js-search').click(function () {
                if ($(window).width() > 1024) {
                    $('.js-actions').animate({ width: '0px' }, 500, function () {
                        $('.js-actions').hide();
                        $('.js-search').addClass('open');
                    });
                }
            });

            $('.js-search-close').click(function () {
                if ($(window).width() > 1024) {
                    //$suggestedElem = getSuggestedElem($(this));
                    //HideSuggestedProducts($suggestedElem);
                    $('.js-actions').animate({}, 500, function () {
                        $('.js-actions').css('display', 'flex');
                        $('.js-actions').css('width', 'auto');
                        $('.js-search').val('');
                        $('.js-search').removeClass('open');
                    });
                }
            });

            //$('.js-search-icon').click(function () {
            //    var windowWidth = $(window).width();
            //    if (windowWidth > 1024) {
            //        $('#form-search').submit();
            //    } else {
            //        $('.header__search').toggleClass('header__search--opened');
            //    }
            //});

            //$('.js-search-close').click(function () {
            //    $('.header__search').removeClass('header__search--opened');
            //});

            function ToggleModal($element) {
                $('body').toggleClass('m--popout');
                $element.toggleClass('--open');
                $element.find('.loader').removeClass('hidden');
            }

            $('.popout__close').click(function () {
                var $modal = $(this).closest('.popout');
                ToggleModal($modal);
            });

            $('.js-popup-link').click(function (e) {
                e.preventDefault();
                $('.popup-banner').css('display', 'none');
                $('body').removeClass('m--popup-banner');
                var date = new Date().toJSON();
                localStorage.setItem('PopupLastOpen', date);
                var link = $(this).data('link');
                window.location.href = link;
            });

            $('#NewsletterForm').submit(function () {
                event.preventDefault();
                RegisterNewsletter();
            });

            function RegisterNewsletter() {
                var email = $(".js-newsletter-email").val();

                if (isValid(email)) {
                    $.ajax({
                        type: "POST",
                        cache: false,
                        url: "/institucional/RegisterNewsletter/?email=" + email,
                        data: $(this).serializeArray(),
                        success: function (data) {
                            if (data == "suscripto") {
                                toastr.success("Te suscribiste al newsletter.");
                                $(".js-newsletter-email").val('');
                            }
                            else {
                                toastr.success("El email ya estaba registrado previamente.");
                            }

                        }
                    });
                }
            }

            function isValid(email) {
                if (email == "") {
                    toastr.warning("Ingrese su email");
                    return false;
                }

                if (!isValidEmailAddress(email)) {
                    toastr.warning("El email ingresado es inválido.");
                    return false;
                }
                return true;
            }

            function isValidEmailAddress(emailAddress) {
                var pattern = new RegExp(/^((([a-z]|\d|[!#\$%&'\*\+\-\/=\?\^_`{\|}~]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])+(\.([a-z]|\d|[!#\$%&'\*\+\-\/=\?\^_`{\|}~]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])+)*)|((\x22)((((\x20|\x09)*(\x0d\x0a))?(\x20|\x09)+)?(([\x01-\x08\x0b\x0c\x0e-\x1f\x7f]|\x21|[\x23-\x5b]|[\x5d-\x7e]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(\\([\x01-\x09\x0b\x0c\x0d-\x7f]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]))))*(((\x20|\x09)*(\x0d\x0a))?(\x20|\x09)+)?(\x22)))@@((([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])*([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])))\.)+(([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])*([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])))\.?$/i);
                return pattern.test(emailAddress);
            }

            //function getSuggestedElem($initialElem) {
            //    return $initialElem.closest('.js-search-wrapper').siblings('.suggested-search').find('.suggested-products');
            //}

            //$('.js-suggested-search').focus(function () {
            //
            //    var term = $(this).val();
            //    handleSuggestedProductsSearch(getSuggestedElem($(this)), term);
            //});

            //$('.js-suggested-search').keyup(function (e) {
            //
            //    var term = $(this).val();
            //    if (e.keyCode != 13) {
            //        var $suggestionElem = getSuggestedElem($(this));
            //        handleSuggestedProductsSearch($suggestionElem, term);
            //    }
            //    else {
            //        searchProduct(term);
            //    }
            //});

            function handleSuggestedProductsSearch($suggestionElem, term) {
                if (term.length == 0) {
                    HideSuggestedProducts($suggestionElem);
                }
                else if (term.length > 0 && term.length < 3) {
                    ShowLoader($suggestionElem);
                }
                else if (term.length >= 3) {
                    $.ajax
                    ({
                        type: "GET",
                        cache: false,
                        url: "/Shop/SuggestedProducts",
                        data: { SearchedTerm: term },
                        success: function (products) {
                            ShowSuggestedProducts($suggestionElem, getSuggestedProductsHtml(products));
                        }
                    });
                }
            }

            //$('body').on('click', '.js-quickview', function () {
            //    var id = $(this).data('productid');

            //    var $popup = $('.js-popup-quickview');

            //    $popup.find('.loader').removeClass('hidden');
            //    $popup.find('.popout__content').addClass('hidden');

            //    ToggleModal($popup);

            //    $.ajax({
            //        type: "GET",
            //        cache: false,
            //        url: "/ShoppingCart/QuickViewModal",
            //        data: { id: id },
            //        success: function (data) {
            //            $popup.find('.loader').addClass('hidden');
            //            $popup.find('.popout__content').removeClass('hidden');
            //            $popup.find('.popout__content').html(data);

            //            if ($popup.find('.js-related-products') != undefined) {
            //                $popup.find('.js-related-products').slick({
            //                    speed: 500,
            //                    arrows: true,
            //                    slidesToShow: 3,
            //                });
            //            }

            //            $popup.find('.js-related-quick-slider').slick({
            //                slidesToShow: 1,
            //                arrows: true,
            //            });

            //            setTimeout(function () {
            //                $('.quickview__image').slick({
            //                    slidesToShow: 1,
            //                    arrows: true,
            //                });
            //            }, 1000);

            //        }
            //    });
            //});

            //function HideSuggestedProducts($suggestionElem) {
            //    $suggestionElem.closest('.suggested-search').addClass('hide');
            //    $suggestionElem.html(getLoaderHtml());
            //}

            //function ShowSuggestedProducts($suggestionElem, suggestionHtml) {
            //    $suggestionElem.addClass('flex-start');
            //    $suggestionElem.html(suggestionHtml);
            //    $suggestionElem.closest('.suggested-search').removeClass('hide');
            //}

            //function getSuggestedProductsHtml(products) {
            //    var suggestionHtml = getLoaderHtml();
            //    if (products.length > 0) {
            //        $.each(products, function (index, product) {
            //            suggestionHtml += getSuggestedProductHtml(product)
            //        });
            //    }
            //    else {
            //        suggestionHtml += '<span>No se encontraron productos</span>'
            //    }

            //    return suggestionHtml;
            //}

            //function getLoaderHtml() {
            //    return '<img class="load hide" src="/Content/assets/images/ajax-loader.gif">';
            //}

            //function getSuggestedProductHtml(product) {
            //    return '<div class="suggested-products__product"> ' +
            //                '<a href="/' + product.ProductLink + '">' +
            //                    '<div class="suggested-products__product__wrapper">' +
            //                        '<img src="' + product.ImageUrl + '" class="product-image"/>' +
            //                        '<div class="product-description">' +
            //                            '<span class="product-title">' +
            //                                product.ProductTitle +
            //                            '</span>' +
            //                            '<span class="product-code">' +
            //                                product.ProductCode +
            //                            '</span>' +
            //                        '</div>' +
            //                    '</div>' +
            //                '</a>' +
            //            '</div>';
            //}

            function sacarFiltro() {

                var queryString = window.location.search.replace('?', '').split('&');
                var queryStringFiltered = '';

                for (var i = 0; i < queryString.length; i++) {
                    if (queryString[i].indexOf('term') == -1 && queryString[i].indexOf('rubro') == -1 && queryString[i].indexOf('categoria') == -1) continue;

                    queryStringFiltered = queryStringFiltered + '&' + queryString[i];
                }

                queryStringFiltered = queryStringFiltered.substring(1);


                var url = window.location.pathname + queryStringFiltered;

                window.location = url;

                return false;
            };


            $(".partialContents").each(function (index, item) {
                var url = $(item).data("url");

                if (url && url.length > 0) {
                    $(item).load(url);
                }
            });

            $(".wish-item").hover(function () {
                $(this).find(".js-sinFavorito").css("display", "none");
                $(this).find(".js-conFavorito").css("display", "block");
            }, function () {
                $(this).find(".js-sinFavorito").css("display", "block");
                $(this).find(".js-conFavorito").css("display", "none");
            })


              $('.js-wishlist').unbind().click(function () {
                debugger;
                var id = $(this).data('product');
                debugger;
                var $popup = $('.js-popup-wishlist');

                $popup.find('.loader').removeClass('hidden');
                $popup.find('.popout__content').addClass('hidden');

                ToggleModal($popup);

                $.ajax({
                    type: "GET",
                    cache: false,
                    url: "/ShoppingCart/WishlistModal",
                    data: { id: id },
                    success: function (data) {
                        $popup.find('.loader').addClass('hidden');
                        $popup.find('.popout__content').removeClass('hidden');
                        $popup.find('.popout__content').html(data);
                        WishlistEvents();
                    }
                });
              });



              function QuickViewEvents() {
                  var $popup = $('.js-popup-quickview');

                  $('.js-quickview-colors .quickview__color-ball').unbind().click(function () {
                      $('.js-quickview-colors .color-ball-container').each(function () {
                          $(this).removeClass('color-ball-container--selected');
                      });

                      $(this).closest('.color-ball-container').addClass('color-ball-container--selected');
                  });

                  $('.js-quickview-sizes .quickview__size-item-container').unbind().click(function () {
                      $('.js-quickview-sizes .quickview__size-item-container').each(function () {
                          $(this).removeClass('quickview__size-item-container--selected');
                      });

                      $(this).closest('.quickview__size-item-container').addClass('quickview__size-item-container--selected');
                  });


                  $('.js-quickview-add').unbind().click(function () {
                      var product = $('.js-quickview-product').val();
                      //var size = $('.js-quickview-size').val();
                      var size = $('.quickview__size-item-container--selected').find('.quickview__size-item').data('size');
                      var color = $('.color-ball-container--selected').find('.quickview__color-ball').data('color');
                      var quantity = $('.js-quickview-quantity').val();
                      if (quantity == undefined) {
                          quantity = 1;
                      }

                      if (size == null) {
                          toastr.warning('Seleccioná un talle.');
                          return false;
                      }

                      if (color == null) {
                          toastr.warning('Seleccioná un color.');
                          return false;
                      }

                      $popup.find('.loader').removeClass('hidden');
                      $popup.find('.popout__content').addClass('hidden');

                      $.ajax({
                          type: "POST",
                          cache: false,
                          url: "/ShoppingCart/Validate",
                          data: { idProducto: product, SizeId: size, ColorId: color, cantidad: quantity },
                          success: function (data) {
                              if (!data.IsApproved) {
                                  $popup.find('.loader').addClass('hidden');
                                  $popup.find('.popout__content').removeClass('hidden');
                                  toastr.warning(data.Message);
                              }

                              if (data.IsApproved) {
                                  $.ajax({
                                      url: "/ShoppingCart/AddOrderDetail",
                                      dataType: "json",
                                      data: { idProducto: product, SizeId: size, ColorId: color, cantidad: quantity, sumar: true },
                                      success: function (result) {
                                          ToggleModal($popup);
                                          $popup.find('.loader').addClass('hidden');
                                          $popup.find('.popout__content').removeClass('hidden');
                                          updateCart(result.TotalItemsCount);
                                          updateCartSlideout();
                                          toastr.success("Hecho! Agregaste el producto a tu compra.");
                                      }
                                  });
                              }
                          }
                      });
                  });
              };


              function WishlistEvents() {
                  var $popup = $('.js-popup-wishlist');

                  $('.js-quickview-colors .quickview__color-ball').unbind().click(function () {
                      $('.js-quickview-colors .quickview__color-ball').each(function () {
                          $(this).removeClass('quickview__color-ball--selected');
                      });

                      $(this).addClass('quickview__color-ball--selected');
                  });

                  $('.js-quickview-add').unbind().click(function () {
                      var product = $('.js-quickview-product').val();
                      var size = $('.js-quickview-size').val();
                      var color = $('.js-quickview-colors .quickview__color-ball--selected').first().data('color');
                      var quantity = $('.js-quickview-quantity').val();

                      if (size == null) {
                          toastr.warning('Seleccioná un talle.');
                          return false;
                      }

                      if (color == null) {
                          toastr.warning('Seleccioná un color.');
                          return false;
                      }

                      $popup.find('.loader').removeClass('hidden');
                      $popup.find('.popout__content').addClass('hidden');

                      $.ajax({
                          type: "POST",
                          cache: false,
                          url: "/ShoppingCart/ValidateWishlistItem",
                          data: { idProducto: product, SizeId: size, ColorId: color, cantidad: quantity },
                          success: function (data) {
                              if (!data.IsApproved) {
                                  $popup.find('.loader').addClass('hidden');
                                  $popup.find('.popout__content').removeClass('hidden');
                                  toastr.warning(data.Message);
                              }

                              if (data.IsApproved) {
                                  $.ajax({
                                      url: "@Url.Action("AddWishlistItem", "ShoppingCart")",
                                      dataType: "json",
                                  data: { idProducto: product, SizeId: size, ColorId: color, cantidad: quantity, sumar: true },
                                  success: function (result) {
                                      ToggleModal($popup);
                                      $popup.find('.loader').addClass('hidden');
                                      $popup.find('.popout__content').removeClass('hidden');
                                      updateWishlistCount(result.Count);
                                      toastr.success("Hecho! Agregaste el producto a tu wishlist.");
                                  }
                              });
                          }
                      }
                      });
              });
              };




        </script>
        <script>
            document.addEventListener(
                "DOMContentLoaded", () => {
                    new Mmenu("#menu");
                    $("#page").css("display", "flex");
                }
            );
        </script>
        @*<script>
            //login
            function statusChangeCallback(response) {
                console.log('statusChangeCallback');
                console.log(response);

                if (response.status === 'connected') {
                    window.location.href = '/Account/FacebookLogin?uid=' + response.authResponse.userID + '&accessToken=' + response.authResponse.accessToken;
                }
                else if (response.status === 'not_authorized') {
                    fb_login();
                }
                else {
                    fb_login();
                }
            }

            function checkLoginState() {
                FB.getLoginStatus(function (response) {
                    statusChangeCallback(response);
                });
            }

            window.fbAsyncInit = function () {
                FB.init({
                    appId: '@System.Configuration.ConfigurationManager.AppSettings.Get("AppId")',
                    cookie: true,  // enable cookies to allow the server to access the session
                    xfbml: true,  // parse social plugins on this page
                    version: 'v2.2' // use version 2.2
                });
            };

            // Load the SDK asynchronously
            (function (d, s, id) {
                var js, fjs = d.getElementsByTagName(s)[0];
                if (d.getElementById(id)) return;
                js = d.createElement(s); js.id = id;
                js.src = "//connect.facebook.net/en_US/sdk.js";
                fjs.parentNode.insertBefore(js, fjs);
            }(document, 'script', 'facebook-jssdk'));

            function fb_login() {
                FB.login(function () {
                    //checkLoginState();
                }, { scope: 'email,public_profile', return_scopes: true });
                //FB.login(function () { }, { scope: 'email,public_profile,user_friends', return_scopes: true });
            }

            $('#btnFacebookLogin').click(function () {
                checkLoginState();
            });

            </script>*@



        @RenderSection("Scripts", required: false)

    }
